prompt --application/deployment/install/install_wfr_report_packages
begin
--   Manifest
--     INSTALL: INSTALL-WFR_Report_Packages
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2021.10.15'
,p_release=>'21.2.0'
,p_default_workspace_id=>2200418947814292
,p_default_application_id=>903
,p_default_id_offset=>0
,p_default_owner=>'WCDEV_WFR'
);
wwv_flow_api.create_install_script(
 p_id=>wwv_flow_api.id(27611546938262251)
,p_install_id=>wwv_flow_api.id(25973103401088465)
,p_name=>'WFR_Report_Packages'
,p_sequence=>30
,p_script_type=>'INSTALL'
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'CREATE OR REPLACE EDITIONABLE PACKAGE "OAN_PORTAL_QUERY_UTILS_PKG" AS',
'   /*',
'   || Make most parameters VARCHAR2 - even the numbers.',
'   || In that way, callers can pass a bind variable name instead of the literal values',
'   || Callers can also pass literals and if numeric, they will get treated as numbers in the SQL.',
'   || Literal VARCHAR''s should be passed with quotes included if the SQL could also receive a bind variable.',
'   */',
'   /*FUNCTION user_processing_groups_lov (',
'      p_user_id                        VARCHAR2)',
'   RETURN VARCHAR2;',
'   FUNCTION user_operating_units_lov (',
'      p_user_id                        VARCHAR2)',
'   RETURN VARCHAR2;',
'   */',
'   FUNCTION operating_units_lov',
'      RETURN VARCHAR2;',
'',
'END oan_portal_query_utils_pkg;',
'/',
'',
'',
'CREATE OR REPLACE EDITIONABLE PACKAGE BODY "OAN_PORTAL_QUERY_UTILS_PKG" AS',
'   /*',
'   || APEX LOV''s need to return 2 columns.',
'   || 1st colum is the display, 2nd is the return value.',
'   || They can be the same value, but need unique aliases',
'   */',
'   /*',
'      FUNCTION user_processing_groups_lov (',
'      p_user_id                        VARCHAR2)',
'   RETURN VARCHAR2 IS',
'      v_sql                            VARCHAR2(4000);',
'   BEGIN',
'      v_sql := ''SELECT meaning d, lookup_code r',
'                  FROM oan_active_lookup_values_v',
'                 WHERE lookup_type = ''''PROCESSING_GROUP''''',
'                   AND (',
'                        lookup_code = ''''UNASSIGNED''''',
'                        OR',
'                        lookup_code IN (SELECT processing_group',
'                                          FROM oan_ua_user_roles_v r',
'                                         WHERE user_id = '''''' || p_user_id || '''''')',
'                       )',
'                 ORDER BY attribute1, 1'';',
'      RETURN v_sql;',
'   END user_processing_groups_lov;',
'   FUNCTION user_operating_units_lov (',
'      p_user_id                        VARCHAR2)',
'   RETURN VARCHAR2 IS',
'      v_sql                            VARCHAR2(4000);',
'   BEGIN',
'      v_sql := ''SELECT org_name || '''' ('''' || org_id || '''')'''' d, org_id r',
'                  FROM oan_erp_operating_units_v',
'                 WHERE org_id IN (SELECT distinct operating_unit',
'                                    FROM oan_ua_user_roles_v r',
'                                   WHERE r.user_id = '''''' || p_user_id || '''''')',
'                    OR org_id IN (SELECT distinct lookup_code',
'                                    FROM oan_active_lookup_values_v lv,',
'                                         oan_ua_user_roles_v ur',
'                                   WHERE lookup_type = ''''ORG_ATTRIBUTES''''',
'                                     AND lv.attribute2 = ur.processing_group',
'                                     AND ur.user_id = '''''' || p_user_id || '''''')',
'                 ORDER BY 1'';',
'      RETURN v_sql;',
'   END user_operating_units_lov;',
'   */',
'   FUNCTION operating_units_lov',
'      RETURN VARCHAR2 IS',
'      v_sql                            VARCHAR2(4000);',
'   BEGIN',
'      v_sql := ''SELECT org_name || '''' ('''' || org_id || '''')'''' d, org_id r',
'                  FROM OAN_ERP_OPERATING_UNITS',
'                 ORDER BY 1'';',
'--                 WHERE org_id IN (SELECT n001 FROM APEX_COLLECTIONS WHERE collection_name = ''''UA_USER_ORGS'''')',
'      RETURN v_sql;',
'   END operating_units_lov;',
'',
'END oan_portal_query_utils_pkg;',
'/',
'',
'CREATE OR REPLACE EDITIONABLE PACKAGE "OAN_WC_UTILS_PKG" AS ',
'    g_package_name       VARCHAR2(30)  := ''OAN_WC_UTILS_PKG'';',
'    c_wfr                            CONSTANT VARCHAR2(10 BYTE)     :=''WFR'';      ',
'    FUNCTION wfr_field_contents                 (',
'        p_documentnumber                            IN VARCHAR2,',
'        p_fieldname                                 IN VARCHAR2,',
'        p_filename                                 IN VARCHAR2',
'    ) RETURN VARCHAR2;',
'',
'    FUNCTION format_date                        (',
'        p_input_date                 IN VARCHAR2,',
'        p_format_mask                IN VARCHAR2',
'    ) RETURN DATE;',
'    ',
'    FUNCTION format_number                           (',
'        p_input_number               IN VARCHAR2',
'    ) RETURN NUMBER;',
'',
'    FUNCTION parse_filename      (',
'    p_filename           IN VARCHAR2,',
'    p_delim_occurence    IN NUMBER,',
'    p_delimiter          IN VARCHAR2',
'',
') RETURN VARCHAR2;',
'    ',
'END OAN_WC_UTILS_PKG;',
'/',
'',
'',
'CREATE OR REPLACE EDITIONABLE PACKAGE BODY "OAN_WC_UTILS_PKG" AS ',
'    FUNCTION wfr_field_contents',
'    (',
'        p_documentnumber                IN VARCHAR2,',
'        p_fieldname                     IN VARCHAR2,',
'        p_filename                     IN VARCHAR2',
'    ) RETURN VARCHAR2',
'    IS',
' ',
'        x_contentrts                       VARCHAR2(2000) := NULL;',
'        l_documentnumber                   VARCHAR2(2000);',
'    BEGIN',
'',
'       IF p_filename = ''Y'' THEN',
'        l_documentnumber := parse_filename( p_filename => p_documentnumber,',
'                                    p_delim_occurence => 1,',
'                                    p_delimiter => ''_'');',
'       ELSE l_documentnumber := p_documentnumber;',
'       END IF;',
'                                    ',
'        --l_documentnumber := substr(p_documentnumber, instr(p_documentnumber,''_'') +1, instr(p_documentnumber,''_'',1,2) - instr(p_documentnumber,''_'') -1);',
'        SELECT contentrts',
'          INTO x_contentrts',
'          FROM ofrfields f',
'         WHERE f.documentnumber = l_documentnumber',
'           AND f.fieldname      = p_fieldname;',
'        RETURN(x_contentrts);',
'    EXCEPTION',
'      WHEN OTHERS THEN',
'        RETURN (x_contentrts);',
'    END wfr_field_contents;',
'    ',
'    FUNCTION format_date                        (',
'        p_input_date                 IN VARCHAR2,',
'        p_format_mask                IN VARCHAR2',
'    ) RETURN DATE',
'    IS',
'        l_return_date                DATE := NULL;',
'    BEGIN',
'        SELECT TO_DATE(p_input_date, p_format_mask)',
'          INTO l_return_date',
'          FROM dual;',
'      RETURN l_return_date;',
'    EXCEPTION',
'        WHEN OTHERS THEN',
'            RETURN l_return_date;',
'    END format_date;',
'',
'    FUNCTION format_number                           (',
'        p_input_number               IN VARCHAR2',
'    ) RETURN NUMBER',
'    IS',
'        l_number                        NUMBER;',
'    BEGIN',
'        l_number := TO_NUMBER(p_input_number);  ',
'        RETURN l_number;',
'',
'    EXCEPTION',
'        WHEN OTHERS THEN',
'            RETURN NULL;',
'',
'    END format_number;',
'',
'    FUNCTION parse_filename      (',
'        p_filename           IN VARCHAR2,',
'        p_delim_occurence    IN NUMBER,',
'        p_delimiter          IN VARCHAR2',
'',
'    ) RETURN VARCHAR2',
'    IS',
'        l_filename              VARCHAR2(2000);',
'        l_num_delims            NUMBER;',
'    BEGIN',
'',
'       /*',
'       || Remove file extension',
'       */',
'       l_filename               := SUBSTR(p_filename,1,INSTR(p_filename,''.'',-1)-1);',
'',
'       /*',
'       || Get the number of delimiters in the string',
'       */',
'',
'       l_num_delims             := COALESCE(LENGTH(l_filename) - LENGTH(REPLACE(l_filename,p_delimiter,NULL)), LENGTH(l_filename), 0); ',
'',
'       IF l_num_delims = p_delim_occurence THEN',
'           RETURN  SUBSTR(l_filename,INSTR(l_filename,p_delimiter,1,p_delim_occurence) +1); ',
'',
'       ELSE',
'',
'       IF p_delim_occurence = 0 OR p_delim_occurence IS NULL THEN',
'           RETURN SUBSTR(l_filename,1, INSTR( l_filename,p_delimiter) -1);',
'       ELSE',
'           RETURN SUBSTR(l_filename, INSTR(l_filename,p_delimiter,1,p_delim_occurence) +1, INSTR(l_filename,p_delimiter,1,p_delim_occurence +1) - INSTR(l_filename,p_delimiter,1,p_delim_occurence) -1);',
'',
'       END IF;   ',
'',
'       END IF;',
'',
'    EXCEPTION ',
'        WHEN OTHERS THEN ',
'            RETURN p_filename;',
'',
'    END parse_filename;',
'',
'END OAN_WC_UTILS_PKG;',
'/',
'',
''))
);
wwv_flow_api.create_install_object(
 p_id=>wwv_flow_api.id(27611847694262251)
,p_script_id=>wwv_flow_api.id(27611546938262251)
,p_object_owner=>'#OWNER#'
,p_object_type=>'PACKAGE'
,p_object_name=>'OAN_PORTAL_QUERY_UTILS_PKG'
,p_last_updated_by=>'RPOLLINA'
,p_last_updated_on=>to_date('20220606231204','YYYYMMDDHH24MISS')
,p_created_by=>'RPOLLINA'
,p_created_on=>to_date('20220606231204','YYYYMMDDHH24MISS')
);
wwv_flow_api.create_install_object(
 p_id=>wwv_flow_api.id(27611649113262251)
,p_script_id=>wwv_flow_api.id(27611546938262251)
,p_object_owner=>'#OWNER#'
,p_object_type=>'PACKAGE'
,p_object_name=>'OAN_WC_UTILS_PKG'
,p_last_updated_by=>'RPOLLINA'
,p_last_updated_on=>to_date('20220606231204','YYYYMMDDHH24MISS')
,p_created_by=>'RPOLLINA'
,p_created_on=>to_date('20220606231204','YYYYMMDDHH24MISS')
);
wwv_flow_api.component_end;
end;
/
