prompt --application/pages/page_00010
begin
--   Manifest
--     PAGE: 00010
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2021.10.15'
,p_release=>'21.2.0'
,p_default_workspace_id=>2200418947814292
,p_default_application_id=>903
,p_default_id_offset=>0
,p_default_owner=>'WCDEV_WFR'
);
wwv_flow_api.create_page(
 p_id=>10
,p_user_interface_id=>wwv_flow_api.id(22412814238428343)
,p_name=>'In-Flight'
,p_alias=>'IN-FLIGHT'
,p_step_title=>'In-Flight'
,p_autocomplete_on_off=>'OFF'
,p_step_template=>wwv_flow_api.id(22237762800428253)
,p_page_template_options=>'#DEFAULT#'
,p_protection_level=>'C'
,p_last_updated_by=>'SCURTO'
,p_last_upd_yyyymmddhh24miss=>'20220603202922'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(22854876252143103)
,p_plug_name=>'Inflight Invoices for Selected Job'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_api.id(22315587032428289)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT j.name, d.state, count(*) cnt',
'  FROM document      d, ',
'       batchfolder   bf, ',
'       jobtobatchrel jbr, ',
'       job j',
' WHERE bf.id = d.batchfolderid',
'   AND bf.batchid = jbr.batchid',
'   AND j.id = jbr.jobid',
'   AND state < 800',
'   AND (:P10_ORG_ID IS NULL or :P10_ORG_ID = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (d.name, ''CompanyCode'',''Y''),''UNASSIGNED''))',
'   AND (:P10_PROCESSING_GROUP is null or :P10_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (d.name, ''ProcessingGroup'',''Y''),''UNASSIGNED''))',
' GROUP BY j.name,  d.state',
' ORDER BY state, j.name'))
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_ajax_items_to_submit=>'P10_ORG_ID,P10_PROCESSING_GROUP'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_jet_chart(
 p_id=>wwv_flow_api.id(22855267313143107)
,p_region_id=>wwv_flow_api.id(22854876252143103)
,p_chart_type=>'bar'
,p_height=>'400'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'vertical'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'withRescale'
,p_hover_behavior=>'dim'
,p_stack=>'off'
,p_connect_nulls=>'Y'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_legend_rendered=>'on'
,p_legend_position=>'auto'
);
wwv_flow_api.create_jet_chart_series(
 p_id=>wwv_flow_api.id(22855381214143108)
,p_chart_id=>wwv_flow_api.id(22855267313143107)
,p_seq=>10
,p_name=>'Job Names'
,p_location=>'REGION_SOURCE'
,p_series_name_column_name=>'NAME'
,p_items_value_column_name=>'CNT'
,p_items_label_column_name=>'STATE'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>false
);
wwv_flow_api.create_jet_chart_axis(
 p_id=>wwv_flow_api.id(22855494434143109)
,p_chart_id=>wwv_flow_api.id(22855267313143107)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
);
wwv_flow_api.create_jet_chart_axis(
 p_id=>wwv_flow_api.id(22855539765143110)
,p_chart_id=>wwv_flow_api.id(22855267313143107)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_type=>'decimal'
,p_decimal_places=>0
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(22854937556143104)
,p_plug_name=>'All Database Jobs'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(22311223639428287)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_new_grid_row=>false
,p_plug_grid_column_span=>4
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT j.name, d.state, count(*) cnt',
'  FROM document      d, ',
'       batchfolder   bf, ',
'       jobtobatchrel jbr, ',
'       job j',
' WHERE bf.id = d.batchfolderid',
'   AND bf.batchid = jbr.batchid',
'   AND j.id = jbr.jobid',
'   AND state < 800',
'   AND (:P10_ORG_ID IS NULL or :P10_ORG_ID = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (d.name, ''CompanyCode'',''Y''),''UNASSIGNED''))',
'   AND (:P10_PROCESSING_GROUP is null or :P10_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (d.name, ''ProcessingGroup'',''Y''),''UNASSIGNED''))',
' GROUP BY j.name,  d.state',
' ORDER BY state, j.name'))
,p_plug_source_type=>'NATIVE_IR'
,p_ajax_items_to_submit=>'P10_PROCESSING_GROUP,P10_ORG_ID'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'All Database Jobs'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(22855990786143114)
,p_max_row_count=>'1000000'
,p_show_search_bar=>'N'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_enable_mail_download=>'Y'
,p_owner=>'DREID'
,p_internal_uid=>22855990786143114
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(22856034661143115)
,p_db_column_name=>'NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Name'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(22856193051143116)
,p_db_column_name=>'STATE'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'State'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(22856250061143117)
,p_db_column_name=>'CNT'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Cnt'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(22980523219575769)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'229806'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'NAME:STATE:CNT'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(23419240482346347)
,p_plug_name=>'Buttons'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(22315587032428289)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(42807721819969252)
,p_plug_name=>'Filters'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(22315587032428289)
,p_plug_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(45285208042717657)
,p_plug_name=>'In Flight'
,p_icon_css_classes=>'app-icon'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(22293405538428279)
,p_plug_display_sequence=>10
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(26005516760719771)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(23419240482346347)
,p_button_name=>'Refresh'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft:t-Button--stretch'
,p_button_template_id=>wwv_flow_api.id(22388283124428325)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Refresh'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-refresh'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26006005889724039)
,p_name=>'P10_PROCESSING_GROUP'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(42807721819969252)
,p_prompt=>'Processing Group'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:USCA;USCA,AR;AR,Unassigned;UNASSIGNED'
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'NO'
,p_required_patch=>wwv_flow_api.id(27341677532359775)
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26006418694724041)
,p_name=>'P10_ORG_ID'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(42807721819969252)
,p_prompt=>'Operating Unit'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov_language=>'PLSQL'
,p_lov=>'RETURN oan_portal_query_utils_pkg.operating_units_lov; '
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26006822663724041)
,p_name=>'P10_PROCESSDATE'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(42807721819969252)
,p_prompt=>'Import Date'
,p_display_as=>'NATIVE_DATE_PICKER_JET'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
,p_attribute_02=>'POPUP'
,p_attribute_03=>'NONE'
,p_attribute_06=>'NONE'
,p_attribute_09=>'N'
,p_attribute_11=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(22873025938289318)
,p_name=>'Update Charts'
,p_event_sequence=>10
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P10_PROCESSDATE'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(26008371316734013)
,p_name=>'Update Charts'
,p_event_sequence=>20
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P10_ORG_ID,P10_PROCESSING_GROUP,P10_PROCESSDATE'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(26008755550734015)
,p_event_id=>wwv_flow_api.id(26008371316734013)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(22854876252143103)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(26009204899734015)
,p_event_id=>wwv_flow_api.id(26008371316734013)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(22854937556143104)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(27334958085314991)
,p_name=>'Refresh Regions_1'
,p_event_sequence=>30
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(26005516760719771)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(27335308921314994)
,p_event_id=>wwv_flow_api.id(27334958085314991)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(22854876252143103)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(27335800943314996)
,p_event_id=>wwv_flow_api.id(27334958085314991)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(22854937556143104)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(27336870135314997)
,p_event_id=>wwv_flow_api.id(27334958085314991)
,p_event_result=>'TRUE'
,p_action_sequence=>40
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
':FILTER_FROM_DATE := :P20_FROM_DATE;',
':FILTER_TO_DATE := :P20_TO_DATE;'))
,p_attribute_02=>'P20_FROM_DATE,P20_TO_DATE'
,p_attribute_05=>'PLSQL'
,p_wait_for_result=>'Y'
,p_server_condition_type=>'NEVER'
);
wwv_flow_api.component_end;
end;
/
