prompt --application/pages/page_00020
begin
--   Manifest
--     PAGE: 00020
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2021.10.15'
,p_release=>'21.2.0'
,p_default_workspace_id=>2200418947814292
,p_default_application_id=>903
,p_default_id_offset=>0
,p_default_owner=>'WCDEV_WFR'
);
wwv_flow_api.create_page(
 p_id=>20
,p_user_interface_id=>wwv_flow_api.id(22412814238428343)
,p_name=>'Invoices to Verifier'
,p_alias=>'INVOICES-TO-VERIFIER'
,p_step_title=>'Invoices to Verifier'
,p_autocomplete_on_off=>'OFF'
,p_step_template=>wwv_flow_api.id(22237762800428253)
,p_page_template_options=>'#DEFAULT#'
,p_protection_level=>'C'
,p_last_updated_by=>'SCURTO'
,p_last_upd_yyyymmddhh24miss=>'20220603202937'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(22855116388143106)
,p_plug_name=>'Right Section'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(22261174031428264)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_new_grid_row=>false
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(22855075060143105)
,p_plug_name=>'Straight Through Performance to Target'
,p_parent_plug_id=>wwv_flow_api.id(22855116388143106)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_api.id(22315587032428289)
,p_plug_display_sequence=>10
,p_plug_new_grid_row=>false
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT 100 - (COUNT (DISTINCT (CASE WHEN s.status = 550 THEN d.documentnumber END)) / COUNT (DISTINCT (d.documentnumber))) * 100 pct,',
'       TO_NUMBER(:P20_TARGET_PCT) "Target"',
'  FROM ofrdocument  d,',
'       ofrdocstatus s',
' WHERE d.documentnumber = s.documentnumber (+)',
'   AND s.status (+) = 550',
'   AND d.dateextrendrts >= :P20_FROM_DATE',
'   AND d.dateextrendrts <= TO_DATE (:P20_TO_DATE, ''MM/DD/YYYY'') + 1',
'   --Hide some to test',
'   --AND s.statusdate (+) < TO_DATE (:P20_TO_DATE, ''MM/DD/YYYY'') - 10',
'   AND (:P20_ORG_ID IS NULL or :P20_ORG_ID = org_id)',
'   AND (:P20_PROCESSING_GROUP is null or :P20_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (d.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))'))
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_ajax_items_to_submit=>'P20_FROM_DATE,P20_TO_DATE,P20_TARGET_PCT,P20_ORG_ID,P20_PROCESSING_GROUP'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_jet_chart(
 p_id=>wwv_flow_api.id(22857919256143134)
,p_region_id=>wwv_flow_api.id(22855075060143105)
,p_chart_type=>'dial'
,p_width=>'220'
,p_height=>'100'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_value_text_type=>'number'
,p_value_format_type=>'percent'
,p_value_decimal_places=>1
,p_value_format_scaling=>'auto'
,p_tooltip_rendered=>'Y'
,p_gauge_orientation=>'circular'
,p_gauge_indicator_size=>1
,p_gauge_inner_radius=>.7
,p_gauge_plot_area=>'on'
,p_gauge_start_angle=>180
,p_gauge_angle_extent=>180
,p_show_gauge_value=>true
);
wwv_flow_api.create_jet_chart_series(
 p_id=>wwv_flow_api.id(22858005783143135)
,p_chart_id=>wwv_flow_api.id(22857919256143134)
,p_seq=>10
,p_name=>'Percent of Target'
,p_location=>'REGION_SOURCE'
,p_items_value_column_name=>'PCT'
,p_items_max_value=>'Target'
,p_color=>'#2c5266'
,p_items_label_rendered=>false
,p_threshold_display=>'onIndicator'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(45740199083563116)
,p_plug_name=>'Straight Through Analysis'
,p_parent_plug_id=>wwv_flow_api.id(22855116388143106)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_api.id(22315587032428289)
,p_plug_display_sequence=>10
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT ''To Verifier'' label,',
'       COUNT (DISTINCT (CASE WHEN s.status = 550 THEN d.documentnumber END)) cnt',
'       --25 cnt',
'  FROM ofrdocument  d,',
'       ofrdocstatus s',
' WHERE d.documentnumber = s.documentnumber (+)',
'   AND s.status (+) = 550',
'   AND d.dateextrendrts >= :P20_FROM_DATE',
'   AND d.dateextrendrts <= TO_DATE (:P20_TO_DATE, ''MM/DD/YYYY'') + 1',
'   --Hide some to test',
'   --AND s.statusdate (+) < TO_DATE (:P20_TO_DATE, ''MM/DD/YYYY'') - 10',
'   AND (:P20_ORG_ID IS NULL or :P20_ORG_ID = org_id)',
'   AND (:P20_PROCESSING_GROUP is null or :P20_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (d.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))',
'UNION',
'SELECT ''Straight Through'' label,',
'       COUNT (DISTINCT (d.documentnumber)) - COUNT (DISTINCT (CASE WHEN s.status = 550 THEN d.documentnumber END)) cnt',
'       --29 cnt',
'  FROM ofrdocument  d,',
'       ofrdocstatus s',
' WHERE d.documentnumber = s.documentnumber (+)',
'   AND s.status (+) = 550',
'   AND d.dateextrendrts >= :P20_FROM_DATE',
'   AND d.dateextrendrts <= TO_DATE (:P20_TO_DATE, ''MM/DD/YYYY'') + 1',
'   --Hide some to test',
'  -- AND s.statusdate (+) < TO_DATE (:P20_TO_DATE, ''MM/DD/YYYY'') - 10',
'   AND (:P20_ORG_ID IS NULL or :P20_ORG_ID = org_id)',
'   AND (:P20_PROCESSING_GROUP is null or :P20_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (d.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))'))
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_ajax_items_to_submit=>'P20_FROM_DATE,P20_TO_DATE,P20_ORG_ID,P20_PROCESSING_GROUP'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_jet_chart(
 p_id=>wwv_flow_api.id(22858422792143139)
,p_region_id=>wwv_flow_api.id(45740199083563116)
,p_chart_type=>'pie'
,p_height=>'400'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'withRescale'
,p_hover_behavior=>'dim'
,p_value_format_type=>'decimal'
,p_value_decimal_places=>0
,p_value_format_scaling=>'none'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_value=>true
,p_legend_rendered=>'on'
,p_legend_position=>'auto'
,p_pie_other_threshold=>0
,p_pie_selection_effect=>'highlight'
);
wwv_flow_api.create_jet_chart_series(
 p_id=>wwv_flow_api.id(22858503386143140)
,p_chart_id=>wwv_flow_api.id(22858422792143139)
,p_seq=>10
,p_name=>'Straight Through'
,p_location=>'REGION_SOURCE'
,p_items_value_column_name=>'CNT'
,p_items_label_column_name=>'LABEL'
,p_items_label_rendered=>true
,p_items_label_position=>'auto'
,p_items_label_display_as=>'ALL'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(22856368356143118)
,p_plug_name=>'Filters'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(22315587032428289)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(45740137779563115)
,p_plug_name=>'Invoices Sent to Verifier'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_api.id(22315587032428289)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT process_date, ',
'       SUM (total_verify) total_verify',
'FROM (',
'SELECT TRUNC (statusdate) process_date, ',
'       COUNT(*) total_verify ',
'  FROM ofrdocstatus d,',
'       ofrdocument doc',
' WHERE d.documentnumber = doc.documentnumber',
'   AND d.status = 550 ',
'   AND d.statusdate >= :P20_FROM_DATE ',
'   AND d.statusdate < TO_DATE (:P20_TO_DATE, ''MM/DD/YYYY'') + 1',
'   AND (:P20_ORG_ID IS NULL or :P20_ORG_ID = doc.org_id)',
'   AND (:P20_PROCESSING_GROUP is null or :P20_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (doc.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))',
'   AND d.statusdate = (select max(statusdate) ',
'                       from ofrdocstatus ds',
'           --                  ofrdocument docs',
'                      where ds.documentnumber = d.documentnumber',
'                      -- and docs.documentnumber = ds.documentnumber',
'                        and ds.status = 550',
'                        and ds.statusdate >= :P20_FROM_DATE ',
'                        and ds.statusdate < TO_DATE (:P20_TO_DATE, ''MM/DD/YYYY'') + 1)',
'                       -- AND (:P20_ORG_ID IS NULL or :P20_ORG_ID = org_id)',
'                       -- AND (:P20_PROCESSING_GROUP is null or :P20_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (d.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED'')))',
' GROUP BY TRUNC (statusdate)',
' UNION',
'/*UNION is so the chart shows days with no data*/',
'/*Timespan Attribute results in WIDE bars when few days have data.  This method resolves that issue*/',
'SELECT TO_DATE (:P20_FROM_DATE, ''MM/DD/YYYY'') + rownum - 1, 0',
'  FROM ofrdocstatus',
' WHERE TO_DATE (:P20_FROM_DATE, ''MM/DD/YYYY'') + rownum < TO_DATE (:P20_TO_DATE, ''MM/DD/YYYY'')',
') main',
'GROUP BY process_date',
' ORDER BY process_date'))
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_ajax_items_to_submit=>'P20_FROM_DATE,P20_TO_DATE,P20_PROCESSING_GROUP,P20_ORG_ID'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_jet_chart(
 p_id=>wwv_flow_api.id(22856882968143123)
,p_region_id=>wwv_flow_api.id(45740137779563115)
,p_chart_type=>'bar'
,p_height=>'400'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'vertical'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hover_behavior=>'dim'
,p_stack=>'off'
,p_connect_nulls=>'Y'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_legend_rendered=>'off'
,p_time_axis_type=>'enabled'
);
wwv_flow_api.create_jet_chart_series(
 p_id=>wwv_flow_api.id(22856983341143124)
,p_chart_id=>wwv_flow_api.id(22856882968143123)
,p_seq=>10
,p_name=>'Verifier'
,p_location=>'REGION_SOURCE'
,p_items_value_column_name=>'TOTAL_VERIFY'
,p_items_label_column_name=>'PROCESS_DATE'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>false
);
wwv_flow_api.create_jet_chart_axis(
 p_id=>wwv_flow_api.id(22857074501143125)
,p_chart_id=>wwv_flow_api.id(22856882968143123)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_type=>'date-short'
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
);
wwv_flow_api.create_jet_chart_axis(
 p_id=>wwv_flow_api.id(22857174740143126)
,p_chart_id=>wwv_flow_api.id(22856882968143123)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_type=>'decimal'
,p_decimal_places=>0
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(49024805205769055)
,p_plug_name=>'Buttons'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(22261174031428264)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(68170469570137669)
,p_plug_name=>'Invoices to Verifier'
,p_icon_css_classes=>'app-icon'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(22293405538428279)
,p_plug_display_sequence=>10
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(25986448175452610)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(49024805205769055)
,p_button_name=>'Refresh'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft:t-Button--stretch'
,p_button_template_id=>wwv_flow_api.id(22388283124428325)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Refresh'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-refresh'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(22856410465143119)
,p_name=>'P20_FROM_DATE'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(22856368356143118)
,p_prompt=>'From Date'
,p_display_as=>'NATIVE_DATE_PICKER_JET'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
,p_attribute_02=>'POPUP'
,p_attribute_03=>'NONE'
,p_attribute_06=>'NONE'
,p_attribute_09=>'N'
,p_attribute_11=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(22856528640143120)
,p_name=>'P20_TO_DATE'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(22856368356143118)
,p_prompt=>'To Date'
,p_display_as=>'NATIVE_DATE_PICKER_JET'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
,p_attribute_02=>'POPUP'
,p_attribute_03=>'NONE'
,p_attribute_06=>'NONE'
,p_attribute_09=>'N'
,p_attribute_11=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(22856629598143121)
,p_name=>'P20_TARGET_PCT'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(22856368356143118)
,p_prompt=>'Target Percent'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(25440397377400580)
,p_name=>'P20_ORG_ID'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(22856368356143118)
,p_prompt=>'Operating Unit'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov_language=>'PLSQL'
,p_lov=>'RETURN oan_portal_query_utils_pkg.operating_units_lov; '
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(25452854123928628)
,p_name=>'P20_PROCESSING_GROUP'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(22856368356143118)
,p_prompt=>'Processing Group'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:USCA;USCA,AR;AR,Unassigned;UNASSIGNED'
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'NO'
,p_required_patch=>wwv_flow_api.id(27341677532359775)
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(22886815831420014)
,p_name=>'Update Charts'
,p_event_sequence=>10
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P20_PROCESSDATE'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(22857221948143127)
,p_name=>'Refresh Regions'
,p_event_sequence=>20
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P20_FROM_DATE,P20_TO_DATE,P20_TARGET_PCT,P20_ORG_ID,P20_PROCESSING_GROUP'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(22857332872143128)
,p_event_id=>wwv_flow_api.id(22857221948143127)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(45740137779563115)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(22858360899143138)
,p_event_id=>wwv_flow_api.id(22857221948143127)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(22855075060143105)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(22858890437143143)
,p_event_id=>wwv_flow_api.id(22857221948143127)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(45740199083563116)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(22857483879143129)
,p_event_id=>wwv_flow_api.id(22857221948143127)
,p_event_result=>'TRUE'
,p_action_sequence=>50
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
':FILTER_FROM_DATE := :P20_FROM_DATE;',
':FILTER_TO_DATE := :P20_TO_DATE;'))
,p_attribute_02=>'P20_FROM_DATE,P20_TO_DATE'
,p_attribute_05=>'PLSQL'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(25978317057424906)
,p_name=>'Refresh Regions_1'
,p_event_sequence=>30
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(25986448175452610)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(25978486312424907)
,p_event_id=>wwv_flow_api.id(25978317057424906)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(45740137779563115)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(25978552105424908)
,p_event_id=>wwv_flow_api.id(25978317057424906)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(22855075060143105)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(25978655953424909)
,p_event_id=>wwv_flow_api.id(25978317057424906)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(45740199083563116)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(25978792500424910)
,p_event_id=>wwv_flow_api.id(25978317057424906)
,p_event_result=>'TRUE'
,p_action_sequence=>40
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
':FILTER_FROM_DATE := :P20_FROM_DATE;',
':FILTER_TO_DATE := :P20_TO_DATE;'))
,p_attribute_02=>'P20_FROM_DATE,P20_TO_DATE'
,p_attribute_05=>'PLSQL'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(22856733622143122)
,p_process_sequence=>10
,p_process_point=>'BEFORE_BOX_BODY'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Get Global Filters'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P20_FROM_DATE := NVL (:FILTER_FROM_DATE, SYSDATE - 30);',
':P20_TO_DATE := NVL (:FILTER_TO_DATE, SYSDATE);'))
,p_process_clob_language=>'PLSQL'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.component_end;
end;
/
