prompt --application/pages/page_00030
begin
--   Manifest
--     PAGE: 00030
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2021.10.15'
,p_release=>'21.2.0'
,p_default_workspace_id=>2200418947814292
,p_default_application_id=>903
,p_default_id_offset=>0
,p_default_owner=>'WCDEV_WFR'
);
wwv_flow_api.create_page(
 p_id=>30
,p_user_interface_id=>wwv_flow_api.id(22412814238428343)
,p_name=>'Invoices Processed'
,p_alias=>'INVOICES-PROCESSED'
,p_step_title=>'Invoices Processed'
,p_autocomplete_on_off=>'OFF'
,p_step_template=>wwv_flow_api.id(22237762800428253)
,p_page_template_options=>'#DEFAULT#'
,p_protection_level=>'C'
,p_last_updated_by=>'SCURTO'
,p_last_upd_yyyymmddhh24miss=>'20220603202949'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(45842727002791999)
,p_plug_name=>'Filters'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(22315587032428289)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(68627522142986286)
,p_plug_name=>'Invoices Processed by Status'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(22311223639428287)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_new_grid_row=>false
,p_plug_grid_column_span=>4
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT TRUNC (s.statusdate) "Status Date",',
'       COUNT (CASE WHEN s.status = 100 THEN 1 END) "Imported",',
'       COUNT (CASE WHEN s.status = 200 THEN 1 END) "OCR",',
'       COUNT (CASE WHEN s.status = 300 THEN 1 END) "Extracted",',
'       COUNT (CASE WHEN s.status = 550 THEN 1 END) "To Verify",',
'       COUNT (CASE WHEN s.status = 700 THEN 1 END) "Released",',
'       COUNT (CASE WHEN s.status = 800 THEN 1 END) "Exported"',
'  FROM ofrdocstatus s,',
'       ofrdocument d',
' WHERE s.documentnumber = d.documentnumber',
'   AND s.statusdate >= :P30_FROM_DATE',
'   AND s.statusdate <= TO_DATE (:P30_TO_DATE, ''MM/DD/YYYY'') + 1',
'   AND (:P30_ORG_ID IS NULL or :P30_ORG_ID = d.org_id)',
'   AND (:P30_PROCESSING_GROUP is null or :P30_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (d.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))',
' GROUP BY TRUNC (s.statusdate) ',
' ORDER BY "Status Date"'))
,p_plug_source_type=>'NATIVE_IR'
,p_ajax_items_to_submit=>'P30_FROM_DATE,P30_TO_DATE,P30_PROCESSING_GROUP,P30_ORG_ID'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'Invoices Processed by Status'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(22859068522143145)
,p_max_row_count=>'1000000'
,p_show_search_bar=>'N'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_enable_mail_download=>'Y'
,p_owner=>'DREID'
,p_internal_uid=>22859068522143145
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(22859111041143146)
,p_db_column_name=>'Status Date'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Status Date'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(22859282277143147)
,p_db_column_name=>'Imported'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Imported'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(22859338950143148)
,p_db_column_name=>'OCR'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'OCR'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(22859478683143149)
,p_db_column_name=>'Extracted'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Extracted'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(22859556416143150)
,p_db_column_name=>'To Verify'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'To Verify'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23033879765316401)
,p_db_column_name=>'Released'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Released'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23033982345316402)
,p_db_column_name=>'Exported'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Exported'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(23042597096331387)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'230426'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'Status Date:Imported:OCR:Extracted:To Verify:Released:Exported'
,p_sum_columns_on_break=>'Imported:OCR:Extracted:To Verify:Released:Exported'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(68765468680808420)
,p_plug_name=>'Imported Invoice Volume'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_api.id(22315587032428289)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT process_date, ',
'       SUM (total) total',
'FROM (',
'SELECT TRUNC (dateimportstartrts) process_date, ',
'       COUNT(*) total ',
'  FROM ofrdocument ',
' WHERE dateimportstartrts >= :P30_FROM_DATE ',
'   AND dateimportstartrts < TO_DATE (:P30_TO_DATE, ''MM/DD/YYYY'') + 1',
'   AND (:P30_ORG_ID IS NULL or :P30_ORG_ID = org_id)',
'   AND (:P30_PROCESSING_GROUP is null or :P30_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (ofrdocument.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))',
' GROUP BY TRUNC (dateimportstartrts)',
' UNION',
'/*UNION is so the chart shows days with no data*/',
'/*Timespan Attribute results in WIDE bars when few days have data.  This method resolves that issue*/',
'SELECT TO_DATE (:P30_FROM_DATE, ''MM/DD/YYYY'') + rownum - 1, 0',
'  FROM ofrdocument',
' WHERE TO_DATE (:P30_FROM_DATE, ''MM/DD/YYYY'') + rownum < TO_DATE (:P30_TO_DATE, ''MM/DD/YYYY'')',
'   AND (:P30_ORG_ID IS NULL or :P30_ORG_ID = org_id)',
'   AND (:P30_PROCESSING_GROUP is null or :P30_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (ofrdocument.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))',
') main',
'GROUP BY process_date',
' ORDER BY process_date',
''))
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_ajax_items_to_submit=>'P30_FROM_DATE,P30_TO_DATE,P30_ORG_ID,P30_PROCESSING_GROUP'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_jet_chart(
 p_id=>wwv_flow_api.id(23025674376245308)
,p_region_id=>wwv_flow_api.id(68765468680808420)
,p_chart_type=>'bar'
,p_height=>'400'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'vertical'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hover_behavior=>'dim'
,p_stack=>'off'
,p_connect_nulls=>'Y'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>false
,p_show_row=>false
,p_show_start=>false
,p_show_end=>false
,p_show_progress=>false
,p_show_baseline=>false
,p_legend_rendered=>'off'
,p_time_axis_type=>'enabled'
,p_show_gauge_value=>false
);
wwv_flow_api.create_jet_chart_series(
 p_id=>wwv_flow_api.id(23027355440245310)
,p_chart_id=>wwv_flow_api.id(23025674376245308)
,p_seq=>10
,p_name=>'Imported'
,p_location=>'REGION_SOURCE'
,p_items_value_column_name=>'TOTAL'
,p_items_label_column_name=>'PROCESS_DATE'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>false
);
wwv_flow_api.create_jet_chart_axis(
 p_id=>wwv_flow_api.id(23026115960245309)
,p_chart_id=>wwv_flow_api.id(23025674376245308)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_type=>'date-short'
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_api.create_jet_chart_axis(
 p_id=>wwv_flow_api.id(23026759543245309)
,p_chart_id=>wwv_flow_api.id(23025674376245308)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_type=>'decimal'
,p_decimal_places=>0
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(75014178031240764)
,p_plug_name=>'Buttons'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(22261174031428264)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(91057792629560839)
,p_plug_name=>'Invoices Processed'
,p_icon_css_classes=>'app-icon'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(22293405538428279)
,p_plug_display_sequence=>10
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(25989611983471710)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(75014178031240764)
,p_button_name=>'Refresh'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft:t-Button--stretch'
,p_button_template_id=>wwv_flow_api.id(22388283124428325)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Refresh'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-refresh'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(23036082093316423)
,p_button_sequence=>50
,p_button_plug_id=>wwv_flow_api.id(45842727002791999)
,p_button_name=>'SHOW_INVOICES'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--stretch:t-Button--gapTop'
,p_button_template_id=>wwv_flow_api.id(22388171211428325)
,p_button_image_alt=>'Show Invoices'
,p_button_redirect_url=>'f?p=&APP_ID.:35:&SESSION.::&DEBUG.:35:P35_ORG_ID:&P30_ORG_ID.'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(22986622409648881)
,p_name=>'P30_FROM_DATE'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(45842727002791999)
,p_prompt=>'From Date'
,p_display_as=>'NATIVE_DATE_PICKER_JET'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
,p_attribute_02=>'POPUP'
,p_attribute_03=>'NONE'
,p_attribute_06=>'NONE'
,p_attribute_09=>'N'
,p_attribute_11=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(22987035861648883)
,p_name=>'P30_TO_DATE'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(45842727002791999)
,p_prompt=>'To Date'
,p_display_as=>'NATIVE_DATE_PICKER_JET'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
,p_attribute_02=>'POPUP'
,p_attribute_03=>'NONE'
,p_attribute_06=>'NONE'
,p_attribute_09=>'N'
,p_attribute_11=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(25443282253444872)
,p_name=>'P30_ORG_ID'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(45842727002791999)
,p_prompt=>'Operating Unit'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov_language=>'PLSQL'
,p_lov=>'RETURN oan_portal_query_utils_pkg.operating_units_lov; '
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(25453148485930134)
,p_name=>'P30_PROCESSING_GROUP'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(45842727002791999)
,p_prompt=>'Processing Group'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:USCA;USCA,AR;AR,Unassigned;UNASSIGNED'
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'NO'
,p_required_patch=>wwv_flow_api.id(27341677532359775)
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(22888992323423172)
,p_name=>'Update Charts'
,p_event_sequence=>10
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P30_PROCESSDATE'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23029583899287678)
,p_name=>'Refresh Regions'
,p_event_sequence=>20
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P30_FROM_DATE,P30_TO_DATE,P30_ORG_ID,P30_PROCESSING_GROUP'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23031478962287681)
,p_event_id=>wwv_flow_api.id(23029583899287678)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(68765468680808420)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23034034334316403)
,p_event_id=>wwv_flow_api.id(23029583899287678)
,p_event_result=>'TRUE'
,p_action_sequence=>40
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(68627522142986286)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23030921568287680)
,p_event_id=>wwv_flow_api.id(23029583899287678)
,p_event_result=>'TRUE'
,p_action_sequence=>50
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
':FILTER_FROM_DATE := :P30_FROM_DATE;',
':FILTER_TO_DATE := :P30_TO_DATE;'))
,p_attribute_02=>'P30_FROM_DATE,P30_TO_DATE'
,p_attribute_05=>'PLSQL'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(25978853368424911)
,p_name=>'Refresh Regions_1'
,p_event_sequence=>30
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(25989611983471710)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(25978969515424912)
,p_event_id=>wwv_flow_api.id(25978853368424911)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(68765468680808420)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(25979037037424913)
,p_event_id=>wwv_flow_api.id(25978853368424911)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(68627522142986286)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(25979106186424914)
,p_event_id=>wwv_flow_api.id(25978853368424911)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
':FILTER_FROM_DATE := :P30_FROM_DATE;',
':FILTER_TO_DATE := :P30_TO_DATE;'))
,p_attribute_02=>'P30_FROM_DATE,P30_TO_DATE'
,p_attribute_05=>'PLSQL'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(22984986920639559)
,p_process_sequence=>10
,p_process_point=>'BEFORE_BOX_BODY'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Get Global Filters'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P30_FROM_DATE := :FILTER_FROM_DATE;',
':P30_TO_DATE := :FILTER_TO_DATE;'))
,p_process_clob_language=>'PLSQL'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.component_end;
end;
/
