prompt --application/pages/page_00035
begin
--   Manifest
--     PAGE: 00035
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2021.10.15'
,p_release=>'21.2.0'
,p_default_workspace_id=>2200418947814292
,p_default_application_id=>903
,p_default_id_offset=>0
,p_default_owner=>'WCDEV_WFR'
);
wwv_flow_api.create_page(
 p_id=>35
,p_user_interface_id=>wwv_flow_api.id(22412814238428343)
,p_name=>'Invoice Listing'
,p_alias=>'INVOICE-LISTING'
,p_step_title=>'Invoice Listing'
,p_autocomplete_on_off=>'OFF'
,p_step_template=>wwv_flow_api.id(22237762800428253)
,p_page_template_options=>'#DEFAULT#'
,p_protection_level=>'C'
,p_last_updated_by=>'SCURTO'
,p_last_upd_yyyymmddhh24miss=>'20220603202958'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(23034132356316404)
,p_plug_name=>'Invoices Processed IR'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(22311223639428287)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT d.source_id as "Vendor Id", ',
'       d.source_name as "Vendor Name", ',
'       d.DATEEXPORTRTS as "Process Date", ',
'       ofrdocumentfields.* ',
'  FROM ofrdocument d, ',
'       (SELECT f1.documentnumber, ',
'               (SELECT getcurrentfieldvalue(contentrts, contentv) from ofrfields f2 where f1.documentnumber = f2.documentnumber and f2.fieldname = ''InvoiceNumber'')          InvoiceNumber,',
'               (SELECT getcurrentfieldvalue(contentrts, contentv) from ofrfields f2 where f1.documentnumber = f2.documentnumber and f2.fieldname = ''PONumber'')               PONumber,',
'               (SELECT getcurrentfieldvalue(contentrts, contentv) from ofrfields f2 where f1.documentnumber = f2.documentnumber and f2.fieldname = ''InvoiceDate'')            InvoiceDate,',
'               (SELECT getcurrentfieldvalue(contentrts, contentv) from ofrfields f2 where f1.documentnumber = f2.documentnumber and f2.fieldname = ''BatchName'')              BatchName,',
'               (SELECT TO_NUMBER(getcurrentfieldvalue(contentrts, contentv)) from ofrfields f2 where f1.documentnumber = f2.documentnumber and f2.fieldname = ''AmountTotal'') AmountTotal,',
'               (SELECT getcurrentfieldvalue(contentrts, contentv) from ofrfields f2 where f1.documentnumber = f2.documentnumber and f2.fieldname = ''SiteID'')                 "Site ID",',
'               (SELECT getcurrentfieldvalue(contentrts, contentv) from ofrfields f2 where f1.documentnumber = f2.documentnumber and f2.fieldname = ''VendorVATRegNo'')         "Vendor VAT Reg No",',
'               (SELECT getcurrentfieldvalue(contentrts, contentv) from ofrfields f2 where f1.documentnumber = f2.documentnumber and f2.fieldname = ''BillToName'')             "Bill-To Name",',
'               (SELECT getcurrentfieldvalue(contentrts, contentv) from ofrfields f2 where f1.documentnumber = f2.documentnumber and f2.fieldname = ''InvalidReason'')          "Invalid Reason",',
'               (SELECT getcurrentfieldvalue(contentrts, contentv) from ofrfields f2 where f1.documentnumber = f2.documentnumber and f2.fieldname = ''InvoiceType'')            "Invoice Type",',
'               (SELECT getcurrentfieldvalue(contentrts, contentv) from ofrfields f2 where f1.documentnumber = f2.documentnumber and f2.fieldname = ''URN'')                    URN,',
'               (SELECT getcurrentfieldvalue(contentrts, contentv) from ofrfields f2 where f1.documentnumber = f2.documentnumber and f2.fieldname = ''DeliveryNote'')           "Delivery Note",  ',
'               (SELECT getcurrentfieldvalue(contentrts, contentv) from ofrfields f2 where f1.documentnumber = f2.documentnumber and f2.fieldname = ''ProcessingGroup'')        "Processing Group",',
'               (SELECT getcurrentfieldvalue(contentrts, contentv) from ofrfields f2 where f1.documentnumber = f2.documentnumber and f2.fieldname = ''OrgID'')                  "OrgID",',
'               (SELECT org_name from oan_erp_operating_units_v ou where ',
'                  (SELECT getcurrentfieldvalue(contentrts, contentv) from ofrfields f2 where f1.documentnumber = f2.documentnumber and f2.fieldname = ''OrgID'') = ou.org_id) "Operating Unit"',
'          from ofrfields f1',
'         group by f1.documentnumber) ofrdocumentfields',
' where d.documentnumber = ofrdocumentfields.documentnumber ',
' --Feels Wrong to show details using a date range on different fields from the page we linked from',
'   AND dateexportrts >= :P35_FROM_DATE ',
'   AND dateexportrts < TO_DATE (:P35_TO_DATE, ''MM/DD/YYYY'') + 1  ',
'   AND (:P35_ORG_ID IS NULL or :P35_ORG_ID = org_id)',
'   AND (:P35_PROCESSING_GROUP is null or :P35_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (d.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))',
'  '))
,p_plug_source_type=>'NATIVE_IR'
,p_ajax_items_to_submit=>'P35_FROM_DATE,P35_TO_DATE,P35_ORG_ID,P35_PROCESSING_GROUP'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'Invoices Processed IR'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(23034249628316405)
,p_max_row_count=>'1000000'
,p_base_pk1=>'DOCUMENTNUMBER'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_detail_link_text=>'<img src="#IMAGE_PREFIX#app_ui/img/icons/apex-edit-view.png" class="apex-edit-view" alt="">'
,p_allow_exclude_null_values=>'N'
,p_owner=>'DREID'
,p_internal_uid=>23034249628316405
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23034399176316406)
,p_db_column_name=>'Vendor Id'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Vendor Id'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23034400213316407)
,p_db_column_name=>'Vendor Name'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Vendor Name'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23034572893316408)
,p_db_column_name=>'Process Date'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Process Date'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23034624805316409)
,p_db_column_name=>'DOCUMENTNUMBER'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Documentnumber'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23034751203316410)
,p_db_column_name=>'INVOICENUMBER'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Invoicenumber'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23034859583316411)
,p_db_column_name=>'PONUMBER'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Ponumber'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23034917802316412)
,p_db_column_name=>'INVOICEDATE'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Invoicedate'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23035071757316413)
,p_db_column_name=>'BATCHNAME'
,p_display_order=>80
,p_column_identifier=>'H'
,p_column_label=>'Batchname'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23035156263316414)
,p_db_column_name=>'AMOUNTTOTAL'
,p_display_order=>90
,p_column_identifier=>'I'
,p_column_label=>'Amounttotal'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23035206447316415)
,p_db_column_name=>'Site ID'
,p_display_order=>100
,p_column_identifier=>'J'
,p_column_label=>'Site Id'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23035328543316416)
,p_db_column_name=>'Vendor VAT Reg No'
,p_display_order=>110
,p_column_identifier=>'K'
,p_column_label=>'Vendor Vat Reg No'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23035494501316417)
,p_db_column_name=>'Bill-To Name'
,p_display_order=>120
,p_column_identifier=>'L'
,p_column_label=>'Bill-to Name'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23035554941316418)
,p_db_column_name=>'Invalid Reason'
,p_display_order=>130
,p_column_identifier=>'M'
,p_column_label=>'Invalid Reason'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23035607979316419)
,p_db_column_name=>'Invoice Type'
,p_display_order=>140
,p_column_identifier=>'N'
,p_column_label=>'Invoice Type'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23035712468316420)
,p_db_column_name=>'URN'
,p_display_order=>150
,p_column_identifier=>'O'
,p_column_label=>'Urn'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23035863234316421)
,p_db_column_name=>'Delivery Note'
,p_display_order=>160
,p_column_identifier=>'P'
,p_column_label=>'Delivery Note'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23417856798346333)
,p_db_column_name=>'Processing Group'
,p_display_order=>170
,p_column_identifier=>'Q'
,p_column_label=>'Processing Group'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23417944493346334)
,p_db_column_name=>'OrgID'
,p_display_order=>180
,p_column_identifier=>'R'
,p_column_label=>'Orgid'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23418038279346335)
,p_db_column_name=>'Operating Unit'
,p_display_order=>190
,p_column_identifier=>'S'
,p_column_label=>'Operating Unit'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(23070869439487117)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'230709'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'Processing Group:Operating Unit:Vendor Id:Vendor Name:Process Date:DOCUMENTNUMBER:INVOICENUMBER:PONUMBER:INVOICEDATE:BATCHNAME:AMOUNTTOTAL:Site ID:Vendor VAT Reg No:Bill-To Name:Invalid Reason:Invoice Type:URN:Delivery Note:'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(68888628907207862)
,p_plug_name=>'Filters'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(22315587032428289)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(101006652312721410)
,p_plug_name=>'Buttons'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(22261174031428264)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(114103694533976702)
,p_plug_name=>'Invoice Details'
,p_icon_css_classes=>'app-icon'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(22293405538428279)
,p_plug_display_sequence=>10
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(25992701195480647)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(101006652312721410)
,p_button_name=>'Refresh'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft:t-Button--stretch'
,p_button_template_id=>wwv_flow_api.id(22388283124428325)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Refresh'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-refresh'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(23050964792415890)
,p_name=>'P35_FROM_DATE'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(68888628907207862)
,p_prompt=>'From Date'
,p_display_as=>'NATIVE_DATE_PICKER_JET'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
,p_attribute_02=>'POPUP'
,p_attribute_03=>'NONE'
,p_attribute_06=>'NONE'
,p_attribute_09=>'N'
,p_attribute_11=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(23051337547415892)
,p_name=>'P35_TO_DATE'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(68888628907207862)
,p_prompt=>'To Date'
,p_display_as=>'NATIVE_DATE_PICKER_JET'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
,p_attribute_02=>'POPUP'
,p_attribute_03=>'NONE'
,p_attribute_06=>'NONE'
,p_attribute_09=>'N'
,p_attribute_11=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(25444202747458502)
,p_name=>'P35_ORG_ID'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(68888628907207862)
,p_prompt=>'Operating Unit'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov_language=>'PLSQL'
,p_lov=>'RETURN oan_portal_query_utils_pkg.operating_units_lov; '
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(25453446740931563)
,p_name=>'P35_PROCESSING_GROUP'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(68888628907207862)
,p_prompt=>'Processing Group'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:USCA;USCA,AR;AR,Unassigned;UNASSIGNED'
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'NO'
,p_required_patch=>wwv_flow_api.id(27341677532359775)
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23054788481415899)
,p_name=>'Update Charts'
,p_event_sequence=>10
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P35_PROCESSDATE'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23055132295415900)
,p_name=>'Refresh Regions'
,p_event_sequence=>20
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P35_FROM_DATE,P35_TO_DATE,P35_ORG_ID,P35_PROCESSING_GROUP'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23035921401316422)
,p_event_id=>wwv_flow_api.id(23055132295415900)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(23034132356316404)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23056136695415900)
,p_event_id=>wwv_flow_api.id(23055132295415900)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
':FILTER_FROM_DATE := :P35_FROM_DATE;',
':FILTER_TO_DATE := :P35_TO_DATE;'))
,p_attribute_02=>'P35_FROM_DATE,P35_TO_DATE'
,p_attribute_05=>'PLSQL'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(25979250574424915)
,p_name=>'Refresh Regions_1'
,p_event_sequence=>30
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(25992701195480647)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(25979314951424916)
,p_event_id=>wwv_flow_api.id(25979250574424915)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(23034132356316404)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(25979447294424917)
,p_event_id=>wwv_flow_api.id(25979250574424915)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
':FILTER_FROM_DATE := :P35_FROM_DATE;',
':FILTER_TO_DATE := :P35_TO_DATE;'))
,p_attribute_02=>'P35_FROM_DATE,P35_TO_DATE'
,p_attribute_05=>'PLSQL'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(23054318023415899)
,p_process_sequence=>10
,p_process_point=>'BEFORE_BOX_BODY'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Get Global Filters'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P35_FROM_DATE := :FILTER_FROM_DATE;',
':P35_TO_DATE := :FILTER_TO_DATE;'))
,p_process_clob_language=>'PLSQL'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.component_end;
end;
/
