prompt --application/pages/page_00050
begin
--   Manifest
--     PAGE: 00050
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2021.10.15'
,p_release=>'21.2.0'
,p_default_workspace_id=>2200418947814292
,p_default_application_id=>903
,p_default_id_offset=>0
,p_default_owner=>'WCDEV_WFR'
);
wwv_flow_api.create_page(
 p_id=>50
,p_user_interface_id=>wwv_flow_api.id(22412814238428343)
,p_name=>'Field Changes'
,p_alias=>'FIELD-CHANGES'
,p_step_title=>'Field Changes'
,p_autocomplete_on_off=>'OFF'
,p_step_template=>wwv_flow_api.id(22237762800428253)
,p_page_template_options=>'#DEFAULT#'
,p_protection_level=>'C'
,p_last_updated_by=>'SCURTO'
,p_last_upd_yyyymmddhh24miss=>'20220604005147'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(45845713110795193)
,p_plug_name=>'Filters'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(22315587032428289)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(114408518624846396)
,p_plug_name=>'Changed Fields'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_api.id(22315587032428289)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT * FROM (',
'Select ofrfields.fieldname as Field_Name, ',
'       --count(ofrfields.fieldname) as "Changed",',
'       count(CASE WHEN NVL(contentv,''<null>'') <> NVL(contentrts,''<null>'') THEN 1 END) changed,',
'       count(CASE WHEN NVL(contentv,''<null>'') = NVL(contentrts,''<null>'') THEN 1 END) unchanged',
'  from ofrdocument, ',
'       ofrfields',
' where ofrdocument.documentnumber = ofrfields.documentnumber ',
'   AND ofrdocument.dateexportrts >= :P50_FROM_DATE ',
'   AND ofrdocument.dateexportrts < TO_DATE (:P50_TO_DATE, ''MM/DD/YYYY'') + 1  ',
'   --and NVL(contentv,''<null>'') <> NVL(contentrts,''<null>'') ',
'   AND (:P50_ORG_ID IS NULL or :P50_ORG_ID = org_id)',
'   AND (:P50_PROCESSING_GROUP is null or :P50_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (ofrdocument.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))',
' GROUP BY ofrfields.fieldname ',
') ',
'WHERE changed > 0',
' order by Field_Name'))
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_ajax_items_to_submit=>'P50_FROM_DATE,P50_TO_DATE,P50_ORG_ID,P50_PROCESSING_GROUP'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_jet_chart(
 p_id=>wwv_flow_api.id(23036187803316424)
,p_region_id=>wwv_flow_api.id(114408518624846396)
,p_chart_type=>'bar'
,p_height=>'1000'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'horizontal'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hover_behavior=>'dim'
,p_stack=>'on'
,p_stack_label=>'off'
,p_connect_nulls=>'Y'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_legend_rendered=>'off'
);
wwv_flow_api.create_jet_chart_series(
 p_id=>wwv_flow_api.id(23036558287316428)
,p_chart_id=>wwv_flow_api.id(23036187803316424)
,p_seq=>10
,p_name=>'Unchanged'
,p_location=>'REGION_SOURCE'
,p_items_value_column_name=>'UNCHANGED'
,p_items_label_column_name=>'FIELD_NAME'
,p_color=>'#508223'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>false
);
wwv_flow_api.create_jet_chart_series(
 p_id=>wwv_flow_api.id(23036244700316425)
,p_chart_id=>wwv_flow_api.id(23036187803316424)
,p_seq=>20
,p_name=>'Changed'
,p_location=>'REGION_SOURCE'
,p_items_value_column_name=>'CHANGED'
,p_items_label_column_name=>'FIELD_NAME'
,p_color=>'#ed813e'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>false
);
wwv_flow_api.create_jet_chart_axis(
 p_id=>wwv_flow_api.id(23036368628316426)
,p_chart_id=>wwv_flow_api.id(23036187803316424)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_type=>'percent'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
);
wwv_flow_api.create_jet_chart_axis(
 p_id=>wwv_flow_api.id(23036494984316427)
,p_chart_id=>wwv_flow_api.id(23036187803316424)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_type=>'decimal'
,p_decimal_places=>0
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(114408579928846397)
,p_plug_name=>'Changed Fields Detail'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(22311223639428287)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_new_grid_row=>false
,p_plug_grid_column_span=>4
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT field_name, ',
'       unchanged,',
'       changed,',
'       TO_CHAR ((changed / (changed + unchanged)) * 100, ''999.9'') || ''%'' pct_changed       ',
'FROM (',
'Select ofrfields.fieldname as Field_Name, ',
'       --count(ofrfields.fieldname) as "Changed",',
'       count(CASE WHEN NVL(contentv,''<null>'') <> NVL(contentrts,''<null>'') THEN 1 END) changed,',
'       count(CASE WHEN NVL(contentv,''<null>'') = NVL(contentrts,''<null>'') THEN 1 END) unchanged',
'  from ofrdocument, ',
'       ofrfields',
' where ofrdocument.documentnumber = ofrfields.documentnumber ',
'   AND ofrdocument.dateexportrts >= :P50_FROM_DATE ',
'   AND ofrdocument.dateexportrts < TO_DATE (:P50_TO_DATE, ''MM/DD/YYYY'') + 1  ',
'   --and NVL(contentv,''<null>'') <> NVL(contentrts,''<null>'') ',
'   AND (:P50_ORG_ID IS NULL or :P50_ORG_ID = org_id)',
'   AND (:P50_PROCESSING_GROUP is null or :P50_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (ofrdocument.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))',
' GROUP BY ofrfields.fieldname ',
') main',
'WHERE changed > 0',
' order by Field_Name',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_ajax_items_to_submit=>'P50_FROM_DATE,P50_TO_DATE,P50_ORG_ID,P50_PROCESSING_GROUP'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'Changed Fields Detail'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(23036681954316429)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'DREID'
,p_internal_uid=>23036681954316429
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23036701711316430)
,p_db_column_name=>'FIELD_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Field Name'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23036895358316431)
,p_db_column_name=>'UNCHANGED'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Unchanged'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23036962795316432)
,p_db_column_name=>'CHANGED'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Changed'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23037373408316436)
,p_db_column_name=>'PCT_CHANGED'
,p_display_order=>40
,p_column_identifier=>'G'
,p_column_label=>'% Changed'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(23130323205007407)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'231304'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'FIELD_NAME:UNCHANGED:CHANGED:PCT_CHANGED:'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(136838850415420950)
,p_plug_name=>'Field Changes'
,p_icon_css_classes=>'app-icon'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(22293405538428279)
,p_plug_display_sequence=>10
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(152999336079699745)
,p_plug_name=>'Buttons'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(22261174031428264)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(25997818010491896)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(152999336079699745)
,p_button_name=>'Refresh'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft:t-Button--stretch'
,p_button_template_id=>wwv_flow_api.id(22388283124428325)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Refresh'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-refresh'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(22989678751652076)
,p_name=>'P50_FROM_DATE'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(45845713110795193)
,p_prompt=>'From Date'
,p_display_as=>'NATIVE_DATE_PICKER_JET'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
,p_attribute_02=>'POPUP'
,p_attribute_03=>'NONE'
,p_attribute_06=>'NONE'
,p_attribute_09=>'N'
,p_attribute_11=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(22990029478652076)
,p_name=>'P50_TO_DATE'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(45845713110795193)
,p_prompt=>'To Date'
,p_display_as=>'NATIVE_DATE_PICKER_JET'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
,p_attribute_02=>'POPUP'
,p_attribute_03=>'NONE'
,p_attribute_06=>'NONE'
,p_attribute_09=>'N'
,p_attribute_11=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(25445985833487164)
,p_name=>'P50_ORG_ID'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(45845713110795193)
,p_prompt=>'Operating Unit'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov_language=>'PLSQL'
,p_lov=>'RETURN oan_portal_query_utils_pkg.operating_units_lov; '
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(25454033821933958)
,p_name=>'P50_PROCESSING_GROUP'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(45845713110795193)
,p_prompt=>'Processing Group'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:USCA;USCA,AR;AR,Unassigned;UNASSIGNED'
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'NO'
,p_required_patch=>wwv_flow_api.id(27341677532359775)
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(22893178953432177)
,p_name=>'Update Charts'
,p_event_sequence=>10
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P50_PROCESSDATE'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23124670986935165)
,p_name=>'Refresh Regions'
,p_event_sequence=>20
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P50_FROM_DATE,P50_TO_DATE,P50_ORG_ID,P50_PROCESSING_GROUP'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23125088121935165)
,p_event_id=>wwv_flow_api.id(23124670986935165)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(114408518624846396)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23037407900316437)
,p_event_id=>wwv_flow_api.id(23124670986935165)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(114408579928846397)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23125515075935166)
,p_event_id=>wwv_flow_api.id(23124670986935165)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
':FILTER_FROM_DATE := :P50_FROM_DATE;',
':FILTER_TO_DATE := :P50_TO_DATE;'))
,p_attribute_02=>'P50_FROM_DATE,P50_TO_DATE'
,p_attribute_05=>'PLSQL'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(25979882217424921)
,p_name=>'Refresh Regions_1'
,p_event_sequence=>30
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(25997818010491896)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(25979993988424922)
,p_event_id=>wwv_flow_api.id(25979882217424921)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(114408518624846396)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(25980029644424923)
,p_event_id=>wwv_flow_api.id(25979882217424921)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(114408579928846397)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(25980146852424924)
,p_event_id=>wwv_flow_api.id(25979882217424921)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
':FILTER_FROM_DATE := :P50_FROM_DATE;',
':FILTER_TO_DATE := :P50_TO_DATE;'))
,p_attribute_02=>'P50_FROM_DATE,P50_TO_DATE'
,p_attribute_05=>'PLSQL'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(22985512211642745)
,p_process_sequence=>10
,p_process_point=>'BEFORE_BOX_BODY'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Get Global Filters'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P50_FROM_DATE := :FILTER_FROM_DATE;',
':P50_TO_DATE := :FILTER_TO_DATE;'))
,p_process_clob_language=>'PLSQL'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.component_end;
end;
/
