prompt --application/pages/page_00060
begin
--   Manifest
--     PAGE: 00060
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2021.10.15'
,p_release=>'21.2.0'
,p_default_workspace_id=>2200418947814292
,p_default_application_id=>903
,p_default_id_offset=>0
,p_default_owner=>'WCDEV_WFR'
);
wwv_flow_api.create_page(
 p_id=>60
,p_user_interface_id=>wwv_flow_api.id(22412814238428343)
,p_name=>'Vendor Analysis'
,p_alias=>'VENDOR-ANALYSIS'
,p_step_title=>'Vendor Analysis'
,p_autocomplete_on_off=>'OFF'
,p_step_template=>wwv_flow_api.id(22237762800428253)
,p_page_template_options=>'#DEFAULT#'
,p_protection_level=>'C'
,p_last_updated_by=>'SCURTO'
,p_last_upd_yyyymmddhh24miss=>'20220603203036'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(45847225990796420)
,p_plug_name=>'Filters'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(22315587032428289)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(137302168823282383)
,p_plug_name=>'Vendor Analysis IR'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(22311223639428287)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT VendorAnalysis.*, ',
'       CASE ',
'         WHEN TotalClasses - TotalNonInvoiceClasses = 0 THEN ''All''',
'         WHEN TotalNonInvoiceClasses = 0 THEN ''None''',
'         WHEN TotalClasses - TotalNonInvoiceClasses > 0 THEN ''Some''',
'       END trained',
'  FROM (',
'        SELECT doc1.source_id "Vendor Id", ',
'               doc1.source_name "Vendor Name", ',
'               COUNT (ofrfields.status) "Total Invalid Fields", ',
'               COUNT (DISTINCT doc1.documentnumber) "Total Docs", ',
'               ROUND (COUNT (ofrfields.status) / COUNT (DISTINCT doc1.documentnumber), 1) "Avg Invalid Fields", ',
'               (SELECT COUNT(classnamev) ',
'                  FROM ofrdocument doc2 ',
'                 WHERE doc2.source_id = doc1.source_id ',
'                   AND doc2.dateexportrts >= :P60_FROM_DATE ',
'                   AND doc2.dateexportrts < TO_DATE (:P60_TO_DATE, ''MM/DD/YYYY'') + 1',
'                   AND (:P60_ORG_ID IS NULL or :P60_ORG_ID = org_id)',
'                   AND (:P60_PROCESSING_GROUP is null or :P60_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (doc2.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))) TotalClasses,',
'               (SELECT COUNT(classnamev) ',
'                  FROM ofrdocument doc3 ',
'                 WHERE doc3.source_id = doc1.source_id ',
'                   AND doc3.classnamev <> ''Invoices'' ',
'                   AND doc3.dateexportrts >= :P60_FROM_DATE ',
'                   AND doc3.dateexportrts < TO_DATE (:P60_TO_DATE, ''MM/DD/YYYY'') + 1 ',
'                   AND (:P60_ORG_ID IS NULL or :P60_ORG_ID = org_id)',
'                   AND (:P60_PROCESSING_GROUP is null or :P60_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (doc3.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))) TotalNonInvoiceClasses, ',
'               doc1.org_id,',
'               (select org_name from oan_erp_operating_units_v org where org.org_id = doc1.org_id) operating_unit',
'              -- nvl(OAN_WC_UTILS_PKG.wfr_field_contents (doc1.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED'')) processing_group',
'          FROM ofrdocument doc1, ',
'               ofrfields ',
'         WHERE doc1.documentnumber = ofrfields.documentnumber(+) ',
'           AND doc1.flagexported = ''Y'' ',
'           AND doc1.dateexportrts >= :P60_FROM_DATE ',
'           AND doc1.dateexportrts < TO_DATE (:P60_TO_DATE, ''MM/DD/YYYY'') + 1  ',
'           AND ofrfields.status(+) = ''Invalid'' ',
'           AND (:P60_ORG_ID IS NULL or :P60_ORG_ID = org_id)',
'           AND (:P60_PROCESSING_GROUP is null or :P60_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (doc1.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))',
'         GROUP BY doc1.source_id, doc1.source_name, doc1.org_id',
'         ORDER BY "Avg Invalid Fields" DESC',
'        ) VendorAnalysis'))
,p_plug_source_type=>'NATIVE_IR'
,p_ajax_items_to_submit=>'P60_FROM_DATE,P60_TO_DATE,P60_ORG_ID,P60_PROCESSING_GROUP'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'Vendor Analysis IR'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(23037537684316438)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'DREID'
,p_internal_uid=>23037537684316438
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23037627369316439)
,p_db_column_name=>'Vendor Id'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Vendor ID'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23037743521316440)
,p_db_column_name=>'Vendor Name'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Vendor Name'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23037868064316441)
,p_db_column_name=>'Total Invalid Fields'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Total Invalid Fields'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23037973771316442)
,p_db_column_name=>'Total Docs'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Total Docs'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23038025724316443)
,p_db_column_name=>'Avg Invalid Fields'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Avg Invalid Fields'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23038161441316444)
,p_db_column_name=>'TOTALCLASSES'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Totalclasses'
,p_column_type=>'NUMBER'
,p_display_text_as=>'HIDDEN_ESCAPE_SC'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23038269064316445)
,p_db_column_name=>'TOTALNONINVOICECLASSES'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Totalnoninvoiceclasses'
,p_column_type=>'NUMBER'
,p_display_text_as=>'HIDDEN_ESCAPE_SC'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23038395286316446)
,p_db_column_name=>'TRAINED'
,p_display_order=>80
,p_column_identifier=>'H'
,p_column_label=>'Trained'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23418657526346341)
,p_db_column_name=>'ORG_ID'
,p_display_order=>90
,p_column_identifier=>'I'
,p_column_label=>'Org Id'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23418704907346342)
,p_db_column_name=>'OPERATING_UNIT'
,p_display_order=>100
,p_column_identifier=>'J'
,p_column_label=>'Operating Unit'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(23145775227120265)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'231458'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'OPERATING_UNIT:Vendor Id:Vendor Name:Total Invalid Fields:Total Docs:Avg Invalid Fields:TRAINED:'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(159732500613856937)
,p_plug_name=>'Vendor Analysis'
,p_icon_css_classes=>'app-icon'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(22293405538428279)
,p_plug_display_sequence=>10
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(179000001177197668)
,p_plug_name=>'Buttons'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(22261174031428264)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(26000977901497924)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(179000001177197668)
,p_button_name=>'Refresh'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft:t-Button--stretch'
,p_button_template_id=>wwv_flow_api.id(22388283124428325)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Refresh'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-refresh'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(22991115769653302)
,p_name=>'P60_FROM_DATE'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(45847225990796420)
,p_prompt=>'From Date'
,p_display_as=>'NATIVE_DATE_PICKER_JET'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
,p_attribute_02=>'POPUP'
,p_attribute_03=>'NONE'
,p_attribute_06=>'NONE'
,p_attribute_09=>'N'
,p_attribute_11=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(22991585723653303)
,p_name=>'P60_TO_DATE'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(45847225990796420)
,p_prompt=>'To Date'
,p_display_as=>'NATIVE_DATE_PICKER_JET'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
,p_attribute_02=>'POPUP'
,p_attribute_03=>'NONE'
,p_attribute_06=>'NONE'
,p_attribute_09=>'N'
,p_attribute_11=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(25446297296488674)
,p_name=>'P60_ORG_ID'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(45847225990796420)
,p_prompt=>'Operating Unit'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov_language=>'PLSQL'
,p_lov=>'RETURN oan_portal_query_utils_pkg.operating_units_lov; '
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(25454381829935393)
,p_name=>'P60_PROCESSING_GROUP'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(45847225990796420)
,p_prompt=>'Processing Group'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:USCA;USCA,AR;AR,Unassigned;UNASSIGNED'
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'NO'
,p_required_patch=>wwv_flow_api.id(27341677532359775)
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(22895282585435989)
,p_name=>'Update Charts'
,p_event_sequence=>10
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P60_PROCESSDATE'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23138555720054712)
,p_name=>'Refresh Regions'
,p_event_sequence=>20
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P60_FROM_DATE,P60_TO_DATE,P60_ORG_ID,P60_PROCESSING_GROUP'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23138950282054712)
,p_event_id=>wwv_flow_api.id(23138555720054712)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(137302168823282383)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23139405722054713)
,p_event_id=>wwv_flow_api.id(23138555720054712)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
':FILTER_FROM_DATE := :P60_FROM_DATE;',
':FILTER_TO_DATE := :P60_TO_DATE;'))
,p_attribute_02=>'P60_FROM_DATE,P60_TO_DATE'
,p_attribute_05=>'PLSQL'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(25980253063424925)
,p_name=>'Refresh Regions_1'
,p_event_sequence=>30
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(26000977901497924)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(25980359739424926)
,p_event_id=>wwv_flow_api.id(25980253063424925)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(137302168823282383)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(25980453852424927)
,p_event_id=>wwv_flow_api.id(25980253063424925)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
':FILTER_FROM_DATE := :P60_FROM_DATE;',
':FILTER_TO_DATE := :P60_TO_DATE;'))
,p_attribute_02=>'P60_FROM_DATE,P60_TO_DATE'
,p_attribute_05=>'PLSQL'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(22985890226645479)
,p_process_sequence=>10
,p_process_point=>'BEFORE_BOX_BODY'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Get Global Filters'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P60_FROM_DATE := :FILTER_FROM_DATE;',
':P60_TO_DATE := :FILTER_TO_DATE;'))
,p_process_clob_language=>'PLSQL'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.component_end;
end;
/
